Index: validation/DelphesValidation.cpp
===================================================================
--- validation/DelphesValidation.cpp	(revision 5107603364acdad8e994549206002d7247bab770)
+++ validation/DelphesValidation.cpp	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1093,19 +1074,19 @@
     treeReader->ReadEntry(entry);
 
-    if(entry%10000 == 0) cout << "Event number: "<< entry <<endl;
+    if(entry % 10000 == 0) cout << "Event number: " << entry << endl;
 
     // Loop over all reconstructed jets in event
-    for(i = 0; i < TMath::Min(2,branchJet->GetEntriesFast()); ++i) //branchJet->GetEntriesFast(); ++i)
+    for(i = 0; i < TMath::Min(2, branchJet->GetEntriesFast()); ++i) //branchJet->GetEntriesFast(); ++i)
     {
 
-      jet = (Jet*) branchJet->At(i);
+      jet = (Jet *)branchJet->At(i);
       jetMomentum = jet->P4();
 
       deltaR = 999;
 
-     // Loop over all hard partons in event
-     for(j = 0; j < TMath::Min(2,branchGenJet->GetEntriesFast()); ++j)
-     {
-        genjet = (Jet*) branchGenJet->At(j);
+      // Loop over all hard partons in event
+      for(j = 0; j < TMath::Min(2, branchGenJet->GetEntriesFast()); ++j)
+      {
+        genjet = (Jet *)branchGenJet->At(j);
 
         genJetMomentum = genjet->P4();
@@ -1118,6 +1099,6 @@
         if(genJetMomentum.DeltaR(jetMomentum) < deltaR)
         {
-           deltaR = genJetMomentum.DeltaR(jetMomentum);
-           bestGenJetMomentum = genJetMomentum;
+          deltaR = genJetMomentum.DeltaR(jetMomentum);
+          bestGenJetMomentum = genJetMomentum;
         }
       }
@@ -1125,12 +1106,12 @@
       if(deltaR < 0.3)
       {
-        pt  = genJetMomentum.E();
+        pt = genJetMomentum.E();
         eta = genJetMomentum.Eta();
 
-        for (bin = 0; bin < Nbins; bin++)
+        for(bin = 0; bin < Nbins; bin++)
         {
           if(pt > histos->at(bin).ptmin && pt < histos->at(bin).ptmax && eta < etaMax && eta > etaMin)
           {
-             histos->at(bin).resolHist->Fill(jetMomentum.E()/bestGenJetMomentum.E());
+            histos->at(bin).resolHist->Fill(jetMomentum.E() / bestGenJetMomentum.E());
           }
         }
@@ -1163,19 +1144,19 @@
     treeReader->ReadEntry(entry);
 
-    if(entry%10000 == 0) cout << "Event number: "<< entry <<endl;
+    if(entry % 10000 == 0) cout << "Event number: " << entry << endl;
 
     // Loop over all reconstructed jets in event
-    for(i = 0; i < TMath::Min(2,branchJet->GetEntriesFast()); ++i) //branchJet->GetEntriesFast(); ++i)
+    for(i = 0; i < TMath::Min(2, branchJet->GetEntriesFast()); ++i) //branchJet->GetEntriesFast(); ++i)
     {
 
-      jet = (Jet*) branchJet->At(i);
+      jet = (Jet *)branchJet->At(i);
       jetMomentum = jet->P4();
 
       deltaR = 999;
 
-     // Loop over all hard partons in event
-     for(j = 0; j < TMath::Min(2,branchGenJet->GetEntriesFast()); ++j)
-     {
-        genjet = (Jet*) branchGenJet->At(j);
+      // Loop over all hard partons in event
+      for(j = 0; j < TMath::Min(2, branchGenJet->GetEntriesFast()); ++j)
+      {
+        genjet = (Jet *)branchGenJet->At(j);
 
         genJetMomentum = genjet->P4();
@@ -1188,6 +1169,6 @@
         if(genJetMomentum.DeltaR(jetMomentum) < deltaR)
         {
-           deltaR = genJetMomentum.DeltaR(jetMomentum);
-           bestGenJetMomentum = genJetMomentum;
+          deltaR = genJetMomentum.DeltaR(jetMomentum);
+          bestGenJetMomentum = genJetMomentum;
         }
       }
@@ -1196,12 +1177,12 @@
       {
 
-        pt  = genJetMomentum.E();
+        pt = genJetMomentum.E();
         eta = genJetMomentum.Eta();
 
-        for (bin = 0; bin < Nbins; bin++)
+        for(bin = 0; bin < Nbins; bin++)
         {
           if(eta > histos->at(bin).etamin && eta < histos->at(bin).etamax && pt < eMax && pt > eMin)
           {
-             histos->at(bin).resolHist->Fill(jetMomentum.E()/bestGenJetMomentum.E());
+            histos->at(bin).resolHist->Fill(jetMomentum.E() / bestGenJetMomentum.E());
           }
         }
@@ -1211,13 +1192,11 @@
 }
 
-
-
-std::pair<Double_t, Double_t> GausFit(TH1* hist)
+std::pair<Double_t, Double_t> GausFit(TH1 *hist)
 {
-  TF1 *f1 = new TF1("f1", "gaus", hist->GetMean()-2*hist->GetRMS(), hist->GetMean()+2*hist->GetRMS());
-  hist->Fit("f1","RQ");
-
-  TF1 *f2 = new TF1("f2", "gaus", f1->GetParameter(1) - 2*f1->GetParameter(2), f1->GetParameter(1) + 2*f1->GetParameter(2));
-  hist->Fit("f2","RQ");
+  TF1 *f1 = new TF1("f1", "gaus", hist->GetMean() - 2 * hist->GetRMS(), hist->GetMean() + 2 * hist->GetRMS());
+  hist->Fit("f1", "RQ");
+
+  TF1 *f2 = new TF1("f2", "gaus", f1->GetParameter(1) - 2 * f1->GetParameter(2), f1->GetParameter(1) + 2 * f1->GetParameter(2));
+  hist->Fit("f2", "RQ");
 
   Double_t sig = f2->GetParameter(2);
@@ -1226,7 +1205,6 @@
   delete f1;
   delete f2;
-  return make_pair (sig, sigErr);
+  return make_pair(sig, sigErr);
 }
-
 
 TGraphErrors EresGraph(std::vector<resolPlot> *histos, bool rms = false)
@@ -1234,29 +1212,29 @@
   Int_t bin;
   Int_t count = 0;
-  TGraphErrors gr = TGraphErrors(Nbins/2);
+  TGraphErrors gr = TGraphErrors(Nbins / 2);
   double val, error;
-  for (bin = 0; bin < Nbins; bin++)
-  {
-     std::pair<Double_t, Double_t> sigvalues = GausFit(histos->at(bin).resolHist);
-     if (rms == true)
-     {
-       gr.SetPoint(count,(histos->at(bin).ptmin+histos->at(bin).ptmax)/2.0, 100*histos->at(bin).resolHist->GetRMS());
-       //gr.SetPointError(count,0, 100*sigvalues.second); // to correct
-       error = 100*histos->at(bin).resolHist->GetRMSError();
-       val = 100*histos->at(bin).resolHist->GetRMS();
-       if(error > 0.2*val) error = 0.2*val;
-       gr.SetPointError(count,0, error); // to correct
-     }
-     else
-     {
-
-       gr.SetPoint(count,(histos->at(bin).ptmin+histos->at(bin).ptmax)/2.0, 100*sigvalues.first);
-       error = 100*sigvalues.second;
-       val = 100*sigvalues.first;
-       if(error > 0.2*val) error = 0.2*val;
-       gr.SetPointError(count,0, error); // to correct
-       //gr.SetPointError(count,0, 100*sigvalues.second);
-     }
-     count++;
+  for(bin = 0; bin < Nbins; bin++)
+  {
+    std::pair<Double_t, Double_t> sigvalues = GausFit(histos->at(bin).resolHist);
+    if(rms == true)
+    {
+      gr.SetPoint(count, (histos->at(bin).ptmin + histos->at(bin).ptmax) / 2.0, 100 * histos->at(bin).resolHist->GetRMS());
+      //gr.SetPointError(count,0, 100*sigvalues.second); // to correct
+      error = 100 * histos->at(bin).resolHist->GetRMSError();
+      val = 100 * histos->at(bin).resolHist->GetRMS();
+      if(error > 0.2 * val) error = 0.2 * val;
+      gr.SetPointError(count, 0, error); // to correct
+    }
+    else
+    {
+
+      gr.SetPoint(count, (histos->at(bin).ptmin + histos->at(bin).ptmax) / 2.0, 100 * sigvalues.first);
+      error = 100 * sigvalues.second;
+      val = 100 * sigvalues.first;
+      if(error > 0.2 * val) error = 0.2 * val;
+      gr.SetPointError(count, 0, error); // to correct
+      //gr.SetPointError(count,0, 100*sigvalues.second);
+    }
+    count++;
   }
 
@@ -1268,34 +1246,32 @@
   Int_t bin;
   Int_t count = 0;
-  TGraphErrors gr = TGraphErrors(Nbins/2);
+  TGraphErrors gr = TGraphErrors(Nbins / 2);
   double val, error;
-  for (bin = 0; bin < Nbins; bin++)
-  {
-     std::pair<Double_t, Double_t> sigvalues = GausFit(histos->at(bin).resolHist);
-     if (rms == true)
-     {
-       gr.SetPoint(count,(histos->at(bin).ptmin+histos->at(bin).ptmax)/2.0, histos->at(bin).resolHist->GetRMS());
-       error = histos->at(bin).resolHist->GetRMSError();
-       val = histos->at(bin).resolHist->GetRMS();
-       if(error > 0.2*val) error = 0.2*val;
-       gr.SetPointError(count,0, error); // to correct
-     }
-     else
-     {
-
-       gr.SetPoint(count,(histos->at(bin).ptmin+histos->at(bin).ptmax)/2.0, sigvalues.first);
-       val = sigvalues.first;
-       error = sigvalues.second;
-       if(error > 0.2*val) error = 0.2*val;
-       gr.SetPointError(count,0, error);
-       //gr.SetPointError(count,0, 100*sigvalues.second);
-     }
-     count++;
+  for(bin = 0; bin < Nbins; bin++)
+  {
+    std::pair<Double_t, Double_t> sigvalues = GausFit(histos->at(bin).resolHist);
+    if(rms == true)
+    {
+      gr.SetPoint(count, (histos->at(bin).ptmin + histos->at(bin).ptmax) / 2.0, histos->at(bin).resolHist->GetRMS());
+      error = histos->at(bin).resolHist->GetRMSError();
+      val = histos->at(bin).resolHist->GetRMS();
+      if(error > 0.2 * val) error = 0.2 * val;
+      gr.SetPointError(count, 0, error); // to correct
+    }
+    else
+    {
+
+      gr.SetPoint(count, (histos->at(bin).ptmin + histos->at(bin).ptmax) / 2.0, sigvalues.first);
+      val = sigvalues.first;
+      error = sigvalues.second;
+      if(error > 0.2 * val) error = 0.2 * val;
+      gr.SetPointError(count, 0, error);
+      //gr.SetPointError(count,0, 100*sigvalues.second);
+    }
+    count++;
   }
 
   return gr;
 }
-
-
 
 TGraphErrors EresGraphVsEta(std::vector<resolPlot> *histos, bool rms = false)
@@ -1303,28 +1279,28 @@
   Int_t bin;
   Int_t count = 0;
-  TGraphErrors gr = TGraphErrors(Nbins/2);
+  TGraphErrors gr = TGraphErrors(Nbins / 2);
   double val, error;
-  for (bin = 0; bin < Nbins; bin++)
-  {
-
-     std::pair<Double_t, Double_t> sigvalues = GausFit(histos->at(bin).resolHist);
-     if (rms == true)
-     {
-       gr.SetPoint(count,(histos->at(bin).etamin+histos->at(bin).etamax)/2.0, histos->at(bin).resolHist->GetRMS());
-       error = 100*histos->at(bin).resolHist->GetRMSError();
-       val = 100*histos->at(bin).resolHist->GetRMS();
-       if(error > 0.2*val) error = 0.2*val;
-       gr.SetPointError(count,0, error); // to correct
-     }
-     else
-     {
-       gr.SetPoint(count,(histos->at(bin).etamin+histos->at(bin).etamax)/2.0, 100*sigvalues.first);
-       val = 100*sigvalues.first;
-       error = 100*sigvalues.second;
-       if(error > 0.2*val) error = 0.2*val;
-       gr.SetPointError(count,0, error);
-       //gr.SetPointError(count,0, 100*sigvalues.second);
-     }
-     count++;
+  for(bin = 0; bin < Nbins; bin++)
+  {
+
+    std::pair<Double_t, Double_t> sigvalues = GausFit(histos->at(bin).resolHist);
+    if(rms == true)
+    {
+      gr.SetPoint(count, (histos->at(bin).etamin + histos->at(bin).etamax) / 2.0, histos->at(bin).resolHist->GetRMS());
+      error = 100 * histos->at(bin).resolHist->GetRMSError();
+      val = 100 * histos->at(bin).resolHist->GetRMS();
+      if(error > 0.2 * val) error = 0.2 * val;
+      gr.SetPointError(count, 0, error); // to correct
+    }
+    else
+    {
+      gr.SetPoint(count, (histos->at(bin).etamin + histos->at(bin).etamax) / 2.0, 100 * sigvalues.first);
+      val = 100 * sigvalues.first;
+      error = 100 * sigvalues.second;
+      if(error > 0.2 * val) error = 0.2 * val;
+      gr.SetPointError(count, 0, error);
+      //gr.SetPointError(count,0, 100*sigvalues.second);
+    }
+    count++;
   }
 
@@ -1356,24 +1332,24 @@
     treeReader->ReadEntry(entry);
 
-    if(entry%10000 == 0) cout << "Event number: "<< entry <<endl;
-
-    if (branchJet->GetEntriesFast() > 1)
+    if(entry % 10000 == 0) cout << "Event number: " << entry << endl;
+
+    if(branchJet->GetEntriesFast() > 1)
     {
 
-      jet = (Jet*) branchJet->At(0);
+      jet = (Jet *)branchJet->At(0);
       p1 = jet->P4();
-      jet = (Jet*) branchJet->At(1);
+      jet = (Jet *)branchJet->At(1);
       p2 = jet->P4();
 
-      met = (MissingET*) branchMet->At(0);
-      scalarHT = (ScalarHT*) branchScalarHT->At(0);
+      met = (MissingET *)branchMet->At(0);
+      scalarHT = (ScalarHT *)branchScalarHT->At(0);
       ht = scalarHT->HT;
 
-      if(p1.Pt() < 0.75*ht/2) continue;
-      if(p2.Pt() < 0.75*ht/2) continue;
-
-      for (bin = 0; bin < Nbins; bin++)
+      if(p1.Pt() < 0.75 * ht / 2) continue;
+      if(p2.Pt() < 0.75 * ht / 2) continue;
+
+      for(bin = 0; bin < Nbins; bin++)
       {
-        if(ht > histos->at(bin).ptmin && ht < histos->at(bin).ptmax )
+        if(ht > histos->at(bin).ptmin && ht < histos->at(bin).ptmax)
         {
           histos->at(bin).resolHist->Fill(met->P4().Px());
@@ -1384,8 +1360,5 @@
 }
 
-
-
 //------------------------------------------------------------------------------
-
 
 void addResoGraph(TMultiGraph *mg, TGraphErrors *gr, TLegend *leg, int style, Color_t color, TString text)
@@ -1400,8 +1373,6 @@
   std::cout << "Adding " << gr->GetName() << std::endl;
   mg->Add(gr);
-  leg->AddEntry(gr,text,"p");
-
+  leg->AddEntry(gr, text, "p");
 }
-
 
 void DrawAxis(TMultiGraph *mg, TLegend *leg, double xmin, double xmax, double ymin, double ymax, TString tx, TString ty, bool logx = 0, bool logy = 0)
@@ -1409,5 +1380,5 @@
   mg->SetMinimum(ymin);
   mg->SetMaximum(ymax);
-  mg->GetXaxis()->SetLimits(xmin,xmax);
+  mg->GetXaxis()->SetLimits(xmin, xmax);
 
   mg->GetXaxis()->SetTitle(tx);
@@ -1440,5 +1411,4 @@
   if(logy) gPad->SetLogy();
 
-
   //gPad->SetGridx();
   //gPad->SetGridy();
@@ -1447,7 +1417,5 @@
   gPad->Modified();
   gPad->Update();
-
 }
-
 
 void DelphesValidation(
@@ -1545,6 +1513,6 @@
   colors.push_back(kBlue);
   colors.push_back(kRed);
-  colors.push_back(kGreen+1);
-  colors.push_back(kMagenta+1);
+  colors.push_back(kGreen + 1);
+  colors.push_back(kMagenta + 1);
   colors.push_back(kOrange);
 
@@ -1566,5 +1534,5 @@
   Int_t lastSlash = figPath.Last('/');
   Int_t sizePath = figPath.Length();
-  figPath.Remove(lastSlash+1,sizePath);
+  figPath.Remove(lastSlash + 1, sizePath);
 
   TString header = pdfOutput;
@@ -1573,9 +1541,9 @@
   lastSlash = header.Last('/');
   sizePath = header.Length();
-  header.Remove(0,lastSlash+1);
+  header.Remove(0, lastSlash + 1);
 
   TString vrs(version);
 
-  TPaveText *pave = new TPaveText(0.0, 0.89, 0.94, 0.94,"NDC");
+  TPaveText *pave = new TPaveText(0.0, 0.89, 0.94, 0.94, "NDC");
   pave->SetTextAlign(30);
   pave->SetTextFont(132);
@@ -1584,5 +1552,5 @@
   pave->SetFillColor(0);
   pave->SetFillStyle(0);
-  pave->AddText("Delphes "+vrs+" - "+header);
+  pave->AddText("Delphes " + vrs + " - " + header);
 
   TString s_etaMin, s_etaMax, s_eta, s_pt, s_e;
@@ -1610,5 +1578,5 @@
   etaVals.push_back(6.0);
 
-  const int n_etabins = etaVals.size()-1;
+  const int n_etabins = etaVals.size() - 1;
   const int n_ptbins = ptVals.size();
 
@@ -1619,64 +1587,63 @@
   // --------- Pion Tracks  --------- //
 
-  TMultiGraph *mg_trkpi_res_pt  = new TMultiGraph("","");
-  TMultiGraph *mg_trkpi_eff_pt  = new TMultiGraph("","");
-  TMultiGraph *mg_trkpi_res_eta = new TMultiGraph("","");
-  TMultiGraph *mg_trkpi_eff_eta = new TMultiGraph("","");
-
-  TLegend *leg_trkpi_res_pt = new TLegend(0.55,0.22,0.90,0.48);
-  TLegend *leg_trkpi_eff_pt = (TLegend*)leg_trkpi_res_pt->Clone();
-  TLegend *leg_trkpi_res_eta = (TLegend*)leg_trkpi_res_pt->Clone();
-  TLegend *leg_trkpi_eff_eta = (TLegend*)leg_trkpi_res_eta->Clone();
-
-  TGraphErrors *gr_trkpi_res_pt  = new TGraphErrors[n_etabins];
-  TGraphErrors *gr_trkpi_eff_pt  = new TGraphErrors[n_etabins];
+  TMultiGraph *mg_trkpi_res_pt = new TMultiGraph("", "");
+  TMultiGraph *mg_trkpi_eff_pt = new TMultiGraph("", "");
+  TMultiGraph *mg_trkpi_res_eta = new TMultiGraph("", "");
+  TMultiGraph *mg_trkpi_eff_eta = new TMultiGraph("", "");
+
+  TLegend *leg_trkpi_res_pt = new TLegend(0.55, 0.22, 0.90, 0.48);
+  TLegend *leg_trkpi_eff_pt = (TLegend *)leg_trkpi_res_pt->Clone();
+  TLegend *leg_trkpi_res_eta = (TLegend *)leg_trkpi_res_pt->Clone();
+  TLegend *leg_trkpi_eff_eta = (TLegend *)leg_trkpi_res_eta->Clone();
+
+  TGraphErrors *gr_trkpi_res_pt = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_trkpi_eff_pt = new TGraphErrors[n_etabins];
   TGraphErrors *gr_trkpi_res_eta = new TGraphErrors[n_ptbins];
   TGraphErrors *gr_trkpi_eff_eta = new TGraphErrors[n_ptbins];
-  TH1D* h_trkpi_eff_pt, *h_trkpi_eff_eta;
-
-  std::vector<resolPlot> *plots_trkpi_res_pt   = new std::vector<resolPlot>[n_etabins];
-  std::vector<resolPlot> *plots_trkpi_res_eta  = new std::vector<resolPlot>[n_ptbins];
+  TH1D *h_trkpi_eff_pt, *h_trkpi_eff_eta;
+
+  std::vector<resolPlot> *plots_trkpi_res_pt = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_trkpi_res_eta = new std::vector<resolPlot>[n_ptbins];
 
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     HistogramsCollection(&plots_trkpi_res_pt[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkpi");
-     GetPtres<Track>(&plots_trkpi_res_pt[k], branchTrackPion, branchParticlePion, 211, etaVals.at(k), etaVals.at(k+1), treeReaderPion);
-     gr_trkpi_res_pt[k] = EresGraph(&plots_trkpi_res_pt[k]);
-
-     h_trkpi_eff_pt = GetEffPt<Track>(branchTrackPion, branchParticlePion, "Pion", 211, ptMin, ptMax, etaVals.at(k), etaVals.at(k+1), treeReaderPion);
-     gr_trkpi_eff_pt[k] = TGraphErrors(h_trkpi_eff_pt);
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-
-     s_eta = "#pi^{ #pm} , " + s_etaMin + " < | #eta | < "+s_etaMax;
-
-     gr_trkpi_res_pt[k].SetName("trkRes_"+s_etaMin+"_"+s_etaMax);
-     gr_trkpi_eff_pt[k].SetName("trkEff_"+s_etaMin+"_"+s_etaMax);
-
-     addResoGraph(mg_trkpi_res_pt, &gr_trkpi_res_pt[k], leg_trkpi_res_pt, markerStyles.at(k), colors.at(k), s_eta);
-     addResoGraph(mg_trkpi_eff_pt, &gr_trkpi_eff_pt[k], leg_trkpi_eff_pt, markerStyles.at(k), colors.at(k), s_eta);
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    HistogramsCollection(&plots_trkpi_res_pt[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkpi");
+    GetPtres<Track>(&plots_trkpi_res_pt[k], branchTrackPion, branchParticlePion, 211, etaVals.at(k), etaVals.at(k + 1), treeReaderPion);
+    gr_trkpi_res_pt[k] = EresGraph(&plots_trkpi_res_pt[k]);
+
+    h_trkpi_eff_pt = GetEffPt<Track>(branchTrackPion, branchParticlePion, "Pion", 211, ptMin, ptMax, etaVals.at(k), etaVals.at(k + 1), treeReaderPion);
+    gr_trkpi_eff_pt[k] = TGraphErrors(h_trkpi_eff_pt);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+
+    s_eta = "#pi^{ #pm} , " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    gr_trkpi_res_pt[k].SetName("trkRes_" + s_etaMin + "_" + s_etaMax);
+    gr_trkpi_eff_pt[k].SetName("trkEff_" + s_etaMin + "_" + s_etaMax);
+
+    addResoGraph(mg_trkpi_res_pt, &gr_trkpi_res_pt[k], leg_trkpi_res_pt, markerStyles.at(k), colors.at(k), s_eta);
+    addResoGraph(mg_trkpi_eff_pt, &gr_trkpi_eff_pt[k], leg_trkpi_eff_pt, markerStyles.at(k), colors.at(k), s_eta);
   }
 
   // loop over pt
-  for (k = 0; k < ptVals.size(); k++)
-  {
-     HistogramsCollectionVsEta(&plots_trkpi_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "trkpi", 0.0, 2.0);
-     GetPtresVsEta<Track>(&plots_trkpi_res_eta[k], branchTrackPion, branchParticlePion, 211, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderPion);
-     gr_trkpi_res_eta[k] = EresGraphVsEta(&plots_trkpi_res_eta[k]);
-
-     h_trkpi_eff_eta = GetEffEta<Track>(branchTrackPion, branchParticlePion, "Pion", 211, 0.5*ptVals.at(k), 2.0*ptVals.at(k) ,etaMin, etaMax , treeReaderPion);
-     gr_trkpi_eff_eta[k] = TGraphErrors(h_trkpi_eff_eta);
-
-     s_pt = Form("#pi^{ #pm} , p_{T} = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_pt = Form("#pi^{ #pm} , p_{T} = %.0f TeV",ptVals.at(k)/1000.);
-
-     addResoGraph(mg_trkpi_res_eta, &gr_trkpi_res_eta[k], leg_trkpi_res_eta, markerStyles.at(k), colors.at(k), s_pt );
-     addResoGraph(mg_trkpi_eff_eta, &gr_trkpi_eff_eta[k], leg_trkpi_eff_eta, markerStyles.at(k), colors.at(k), s_pt );
-
-  }
-
-  TCanvas *c_trkpi_res_pt = new TCanvas("","", 800, 600);
+  for(k = 0; k < ptVals.size(); k++)
+  {
+    HistogramsCollectionVsEta(&plots_trkpi_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "trkpi", 0.0, 2.0);
+    GetPtresVsEta<Track>(&plots_trkpi_res_eta[k], branchTrackPion, branchParticlePion, 211, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderPion);
+    gr_trkpi_res_eta[k] = EresGraphVsEta(&plots_trkpi_res_eta[k]);
+
+    h_trkpi_eff_eta = GetEffEta<Track>(branchTrackPion, branchParticlePion, "Pion", 211, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), etaMin, etaMax, treeReaderPion);
+    gr_trkpi_eff_eta[k] = TGraphErrors(h_trkpi_eff_eta);
+
+    s_pt = Form("#pi^{ #pm} , p_{T} = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_pt = Form("#pi^{ #pm} , p_{T} = %.0f TeV", ptVals.at(k) / 1000.);
+
+    addResoGraph(mg_trkpi_res_eta, &gr_trkpi_res_eta[k], leg_trkpi_res_eta, markerStyles.at(k), colors.at(k), s_pt);
+    addResoGraph(mg_trkpi_eff_eta, &gr_trkpi_eff_eta[k], leg_trkpi_eff_eta, markerStyles.at(k), colors.at(k), s_pt);
+  }
+
+  TCanvas *c_trkpi_res_pt = new TCanvas("", "", 800, 600);
 
   mg_trkpi_res_pt->Draw("APE");
@@ -1685,9 +1652,9 @@
   pave->Draw();
 
-  c_trkpi_res_pt->Print(pdfOutput+"(","pdf");
-  c_trkpi_res_pt->Print(figPath+"img_trkpi_res_pt.pdf","pdf");
-  c_trkpi_res_pt->Print(figPath+"img_trkpi_res_pt.png","png");
-
-  TCanvas *c_trkpi_res_eta = new TCanvas("","", 800, 600);
+  c_trkpi_res_pt->Print(pdfOutput + "(", "pdf");
+  c_trkpi_res_pt->Print(figPath + "img_trkpi_res_pt.pdf", "pdf");
+  c_trkpi_res_pt->Print(figPath + "img_trkpi_res_pt.png", "png");
+
+  TCanvas *c_trkpi_res_eta = new TCanvas("", "", 800, 600);
 
   mg_trkpi_res_eta->Draw("APE");
@@ -1696,9 +1663,9 @@
   pave->Draw();
 
-  c_trkpi_res_eta->Print(pdfOutput,"pdf");
-  c_trkpi_res_eta->Print(figPath+"img_trkpi_res_eta.pdf","pdf");
-  c_trkpi_res_eta->Print(figPath+"img_trkpi_res_eta.png","png");
-
-  TCanvas *c_trkpi_eff_pt = new TCanvas("","", 800, 600);
+  c_trkpi_res_eta->Print(pdfOutput, "pdf");
+  c_trkpi_res_eta->Print(figPath + "img_trkpi_res_eta.pdf", "pdf");
+  c_trkpi_res_eta->Print(figPath + "img_trkpi_res_eta.png", "png");
+
+  TCanvas *c_trkpi_eff_pt = new TCanvas("", "", 800, 600);
 
   mg_trkpi_eff_pt->Draw("APE");
@@ -1707,9 +1674,9 @@
   pave->Draw();
 
-  c_trkpi_eff_pt->Print(pdfOutput,"pdf");
-  c_trkpi_eff_pt->Print(figPath+"img_trkpi_eff_pt.pdf","pdf");
-  c_trkpi_eff_pt->Print(figPath+"img_trkpi_eff_pt.png","png");
-
-  TCanvas *c_trkpi_eff_eta = new TCanvas("","", 800, 600);
+  c_trkpi_eff_pt->Print(pdfOutput, "pdf");
+  c_trkpi_eff_pt->Print(figPath + "img_trkpi_eff_pt.pdf", "pdf");
+  c_trkpi_eff_pt->Print(figPath + "img_trkpi_eff_pt.png", "png");
+
+  TCanvas *c_trkpi_eff_eta = new TCanvas("", "", 800, 600);
 
   mg_trkpi_eff_eta->Draw("APE");
@@ -1718,72 +1685,70 @@
   pave->Draw();
 
-
-  c_trkpi_eff_eta->Print(pdfOutput,"pdf");
-  c_trkpi_eff_eta->Print(figPath+"img_trkpi_eff_eta.pdf","pdf");
-  c_trkpi_eff_eta->Print(figPath+"img_trkpi_eff_eta.png","png");
+  c_trkpi_eff_eta->Print(pdfOutput, "pdf");
+  c_trkpi_eff_eta->Print(figPath + "img_trkpi_eff_eta.pdf", "pdf");
+  c_trkpi_eff_eta->Print(figPath + "img_trkpi_eff_eta.png", "png");
 
   // --------- Electron Tracks  --------- //
 
-  TMultiGraph *mg_trkele_res_pt  = new TMultiGraph("","");
-  TMultiGraph *mg_trkele_eff_pt  = new TMultiGraph("","");
-  TMultiGraph *mg_trkele_res_eta = new TMultiGraph("","");
-  TMultiGraph *mg_trkele_eff_eta = new TMultiGraph("","");
-
-  TLegend *leg_trkele_res_pt = new TLegend(0.55,0.22,0.90,0.48);
-  TLegend *leg_trkele_eff_pt = (TLegend*)leg_trkele_res_pt->Clone();
-  TLegend *leg_trkele_res_eta = (TLegend*)leg_trkele_res_pt->Clone();
-  TLegend *leg_trkele_eff_eta = (TLegend*)leg_trkele_res_eta->Clone();
-
-  TGraphErrors *gr_trkele_res_pt  = new TGraphErrors[n_etabins];
-  TGraphErrors *gr_trkele_eff_pt  = new TGraphErrors[n_etabins];
+  TMultiGraph *mg_trkele_res_pt = new TMultiGraph("", "");
+  TMultiGraph *mg_trkele_eff_pt = new TMultiGraph("", "");
+  TMultiGraph *mg_trkele_res_eta = new TMultiGraph("", "");
+  TMultiGraph *mg_trkele_eff_eta = new TMultiGraph("", "");
+
+  TLegend *leg_trkele_res_pt = new TLegend(0.55, 0.22, 0.90, 0.48);
+  TLegend *leg_trkele_eff_pt = (TLegend *)leg_trkele_res_pt->Clone();
+  TLegend *leg_trkele_res_eta = (TLegend *)leg_trkele_res_pt->Clone();
+  TLegend *leg_trkele_eff_eta = (TLegend *)leg_trkele_res_eta->Clone();
+
+  TGraphErrors *gr_trkele_res_pt = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_trkele_eff_pt = new TGraphErrors[n_etabins];
   TGraphErrors *gr_trkele_res_eta = new TGraphErrors[n_ptbins];
   TGraphErrors *gr_trkele_eff_eta = new TGraphErrors[n_ptbins];
 
-  TH1D* h_trkele_eff_pt, *h_trkele_eff_eta;
-
-  std::vector<resolPlot> *plots_trkele_res_pt   = new std::vector<resolPlot>[n_etabins];
-  std::vector<resolPlot> *plots_trkele_res_eta  = new std::vector<resolPlot>[n_ptbins];
+  TH1D *h_trkele_eff_pt, *h_trkele_eff_eta;
+
+  std::vector<resolPlot> *plots_trkele_res_pt = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_trkele_res_eta = new std::vector<resolPlot>[n_ptbins];
 
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     HistogramsCollection(&plots_trkele_res_pt[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkele");
-     GetPtres<Track>(&plots_trkele_res_pt[k], branchTrackElectron, branchParticleElectron, 11, etaVals.at(k), etaVals.at(k+1), treeReaderElectron);
-     gr_trkele_res_pt[k] = EresGraph(&plots_trkele_res_pt[k]);
-
-     h_trkele_eff_pt = GetEffPt<Track>(branchTrackElectron, branchParticleElectron, "Electron", 11, ptMin, ptMax, etaVals.at(k), etaVals.at(k+1), treeReaderElectron);
-     gr_trkele_eff_pt[k] = TGraphErrors(h_trkele_eff_pt);
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-
-     s_eta = "e^{ #pm} , " + s_etaMin + " < | #eta | < "+s_etaMax;
-
-     gr_trkele_res_pt[k].SetName("trkRes_"+s_etaMin+"_"+s_etaMax);
-     gr_trkele_eff_pt[k].SetName("trkEff_"+s_etaMin+"_"+s_etaMax);
-
-     addResoGraph(mg_trkele_res_pt, &gr_trkele_res_pt[k], leg_trkele_res_pt, markerStyles.at(k), colors.at(k), s_eta);
-     addResoGraph(mg_trkele_eff_pt, &gr_trkele_eff_pt[k], leg_trkele_eff_pt, markerStyles.at(k), colors.at(k), s_eta);
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    HistogramsCollection(&plots_trkele_res_pt[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkele");
+    GetPtres<Track>(&plots_trkele_res_pt[k], branchTrackElectron, branchParticleElectron, 11, etaVals.at(k), etaVals.at(k + 1), treeReaderElectron);
+    gr_trkele_res_pt[k] = EresGraph(&plots_trkele_res_pt[k]);
+
+    h_trkele_eff_pt = GetEffPt<Track>(branchTrackElectron, branchParticleElectron, "Electron", 11, ptMin, ptMax, etaVals.at(k), etaVals.at(k + 1), treeReaderElectron);
+    gr_trkele_eff_pt[k] = TGraphErrors(h_trkele_eff_pt);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+
+    s_eta = "e^{ #pm} , " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    gr_trkele_res_pt[k].SetName("trkRes_" + s_etaMin + "_" + s_etaMax);
+    gr_trkele_eff_pt[k].SetName("trkEff_" + s_etaMin + "_" + s_etaMax);
+
+    addResoGraph(mg_trkele_res_pt, &gr_trkele_res_pt[k], leg_trkele_res_pt, markerStyles.at(k), colors.at(k), s_eta);
+    addResoGraph(mg_trkele_eff_pt, &gr_trkele_eff_pt[k], leg_trkele_eff_pt, markerStyles.at(k), colors.at(k), s_eta);
   }
 
   // loop over pt
-  for (k = 0; k < ptVals.size(); k++)
-  {
-     HistogramsCollectionVsEta(&plots_trkele_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "trkele", 0.0, 2.0);
-     GetPtresVsEta<Track>(&plots_trkele_res_eta[k], branchTrackElectron, branchParticleElectron, 11, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderElectron);
-     gr_trkele_res_eta[k] = EresGraphVsEta(&plots_trkele_res_eta[k]);
-
-     h_trkele_eff_eta = GetEffEta<Track>(branchTrackElectron, branchParticleElectron, "Electron", 11, 0.5*ptVals.at(k), 2.0*ptVals.at(k) ,etaMin, etaMax , treeReaderElectron);
-     gr_trkele_eff_eta[k] = TGraphErrors(h_trkele_eff_eta);
-
-     s_pt = Form("e^{ #pm} , p_{T} = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_pt = Form("e^{ #pm} , p_{T} = %.0f TeV",ptVals.at(k)/1000.);
-
-     addResoGraph(mg_trkele_res_eta, &gr_trkele_res_eta[k], leg_trkele_res_eta, markerStyles.at(k), colors.at(k), s_pt );
-     addResoGraph(mg_trkele_eff_eta, &gr_trkele_eff_eta[k], leg_trkele_eff_eta, markerStyles.at(k), colors.at(k), s_pt );
-
-  }
-
-  TCanvas *c_trkele_res_pt = new TCanvas("","", 800, 600);
+  for(k = 0; k < ptVals.size(); k++)
+  {
+    HistogramsCollectionVsEta(&plots_trkele_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "trkele", 0.0, 2.0);
+    GetPtresVsEta<Track>(&plots_trkele_res_eta[k], branchTrackElectron, branchParticleElectron, 11, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderElectron);
+    gr_trkele_res_eta[k] = EresGraphVsEta(&plots_trkele_res_eta[k]);
+
+    h_trkele_eff_eta = GetEffEta<Track>(branchTrackElectron, branchParticleElectron, "Electron", 11, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), etaMin, etaMax, treeReaderElectron);
+    gr_trkele_eff_eta[k] = TGraphErrors(h_trkele_eff_eta);
+
+    s_pt = Form("e^{ #pm} , p_{T} = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_pt = Form("e^{ #pm} , p_{T} = %.0f TeV", ptVals.at(k) / 1000.);
+
+    addResoGraph(mg_trkele_res_eta, &gr_trkele_res_eta[k], leg_trkele_res_eta, markerStyles.at(k), colors.at(k), s_pt);
+    addResoGraph(mg_trkele_eff_eta, &gr_trkele_eff_eta[k], leg_trkele_eff_eta, markerStyles.at(k), colors.at(k), s_pt);
+  }
+
+  TCanvas *c_trkele_res_pt = new TCanvas("", "", 800, 600);
 
   mg_trkele_res_pt->Draw("APE");
@@ -1792,9 +1757,9 @@
   pave->Draw();
 
-  c_trkele_res_pt->Print(pdfOutput,"pdf");
-  c_trkele_res_pt->Print(figPath+"img_trkele_res_pt.pdf","pdf");
-  c_trkele_res_pt->Print(figPath+"img_trkele_res_pt.png","png");
-
-  TCanvas *c_trkele_res_eta = new TCanvas("","", 800, 600);
+  c_trkele_res_pt->Print(pdfOutput, "pdf");
+  c_trkele_res_pt->Print(figPath + "img_trkele_res_pt.pdf", "pdf");
+  c_trkele_res_pt->Print(figPath + "img_trkele_res_pt.png", "png");
+
+  TCanvas *c_trkele_res_eta = new TCanvas("", "", 800, 600);
 
   mg_trkele_res_eta->Draw("APE");
@@ -1803,9 +1768,9 @@
   pave->Draw();
 
-  c_trkele_res_eta->Print(pdfOutput,"pdf");
-  c_trkele_res_eta->Print(figPath+"img_trkele_res_eta.pdf","pdf");
-  c_trkele_res_eta->Print(figPath+"img_trkele_res_eta.png","png");
-
-  TCanvas *c_trkele_eff_pt = new TCanvas("","", 800, 600);
+  c_trkele_res_eta->Print(pdfOutput, "pdf");
+  c_trkele_res_eta->Print(figPath + "img_trkele_res_eta.pdf", "pdf");
+  c_trkele_res_eta->Print(figPath + "img_trkele_res_eta.png", "png");
+
+  TCanvas *c_trkele_eff_pt = new TCanvas("", "", 800, 600);
 
   mg_trkele_eff_pt->Draw("APE");
@@ -1814,9 +1779,9 @@
   pave->Draw();
 
-  c_trkele_eff_pt->Print(pdfOutput,"pdf");
-  c_trkele_eff_pt->Print(figPath+"img_trkele_eff_pt.pdf","pdf");
-  c_trkele_eff_pt->Print(figPath+"img_trkele_eff_pt.png","png");
-
-  TCanvas *c_trkele_eff_eta = new TCanvas("","", 800, 600);
+  c_trkele_eff_pt->Print(pdfOutput, "pdf");
+  c_trkele_eff_pt->Print(figPath + "img_trkele_eff_pt.pdf", "pdf");
+  c_trkele_eff_pt->Print(figPath + "img_trkele_eff_pt.png", "png");
+
+  TCanvas *c_trkele_eff_eta = new TCanvas("", "", 800, 600);
 
   mg_trkele_eff_eta->Draw("APE");
